package com.ejie.ab79.model;


import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import java.util.Date;

/**
 * DatosEstablecimiento  
 *  
 */

public class DatosEstablecimiento  implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
            private Integer idDatoEstablecimiento;
            private String idCategorias;
            private String idTipoEstablecimiento;
            private String idModalidad;
            private Integer idInspeccion;
            private Date fechaRegistro;
            private String usuarioRegistro;
            private String identEstablecimiento;

	/** 
	 * Method 'DatosEstablecimiento'.
	 */
    public DatosEstablecimiento() {
    }


	
    
    /** 
     * Method 'DatosEstablecimiento'.
     * @param idDatoEstablecimiento Integer
     */    
     public DatosEstablecimiento(Integer idDatoEstablecimiento) {
          this.idDatoEstablecimiento = idDatoEstablecimiento;
	}

    

    /** 
     * Method 'DatosEstablecimiento'.
     * @param idDatoEstablecimiento Integer
     * @param idCategorias String
     * @param idTipoEstablecimiento String
     * @param idModalidad String
     * @param idInspeccion Integer
     * @param fechaRegistro Date
     * @param usuarioRegistro String
     */
   public DatosEstablecimiento(Integer idDatoEstablecimiento, String idCategorias, String idTipoEstablecimiento, String idModalidad, Integer idInspeccion, Date fechaRegistro, String usuarioRegistro) {	

           this.idDatoEstablecimiento = idDatoEstablecimiento;
           this.idCategorias = idCategorias;
           this.idTipoEstablecimiento = idTipoEstablecimiento;
           this.idModalidad = idModalidad;
           this.idInspeccion = idInspeccion;
           this.fechaRegistro = fechaRegistro;
           this.usuarioRegistro = usuarioRegistro;
    }

    /**
	 * Method 'getIdDatoEstablecimiento'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdDatoEstablecimiento() {
		return this.idDatoEstablecimiento;
	}

	/**
	 * Method 'setIdDatoEstablecimiento'.
	 *
	 * @param idDatoEstablecimiento Integer
	 * @return
     */
	
	public void setIdDatoEstablecimiento(Integer idDatoEstablecimiento) {
		this.idDatoEstablecimiento = idDatoEstablecimiento;
	}
    /**
	 * Method 'getIdCategorias'.
	 *
	 * @return String
	 */
	
	
	public String getIdCategorias() {
		return this.idCategorias;
	}

	/**
	 * Method 'setIdCategorias'.
	 *
	 * @param idCategorias String
	 * @return
     */
	
	public void setIdCategorias(String idCategorias) {
		this.idCategorias = idCategorias;
	}
    /**
	 * Method 'getIdTipoEstablecimiento'.
	 *
	 * @return String
	 */
	
	
	public String getIdTipoEstablecimiento() {
		return this.idTipoEstablecimiento;
	}

	/**
	 * Method 'setIdTipoEstablecimiento'.
	 *
	 * @param idTipoEstablecimiento String
	 * @return
     */
	
	public void setIdTipoEstablecimiento(String idTipoEstablecimiento) {
		this.idTipoEstablecimiento = idTipoEstablecimiento;
	}
    /**
	 * Method 'getIdModalidad'.
	 *
	 * @return String
	 */
	
	
	public String getIdModalidad() {
		return this.idModalidad;
	}

	/**
	 * Method 'setIdModalidad'.
	 *
	 * @param idModalidad String
	 * @return
     */
	
	public void setIdModalidad(String idModalidad) {
		this.idModalidad = idModalidad;
	}
    /**
	 * Method 'getIdInspeccion'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdInspeccion() {
		return this.idInspeccion;
	}

	/**
	 * Method 'setIdInspeccion'.
	 *
	 * @param idInspeccion Integer
	 * @return
     */
	
	public void setIdInspeccion(Integer idInspeccion) {
		this.idInspeccion = idInspeccion;
	}
    /**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro java.util.Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}
    /**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */
	
	
	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro String
	 * @return
     */
	
	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	public String getIdentEstablecimiento() {
		return identEstablecimiento;
	}




	public void setIdentEstablecimiento(String identEstablecimiento) {
		this.identEstablecimiento = identEstablecimiento;
	}




	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { " ); 
		result.append(" [ idDatoEstablecimiento: ").append(this.idDatoEstablecimiento).append(" ]");
		result.append(", [ idCategorias: ").append(this.idCategorias).append(" ]");
		result.append(", [ idTipoEstablecimiento: ").append(this.idTipoEstablecimiento).append(" ]");
		result.append(", [ idModalidad: ").append(this.idModalidad).append(" ]");
		result.append(", [ idInspeccion: ").append(this.idInspeccion).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append("}");
		return result.toString();
	}


}

